The upgrade contains the following set of conflicting vibs cisco bootbank cisco vem

Whilst attempting to upgrade a series of VMware ESXi hosts i ran into a small issues with regards to the VIB version installed. Below is our scenario

VMware vSphere ESXi 5.0 upgrading to ESXi 6.0

Cisco Nexus 1010v VDS

The error i was receiving was:

‘the upgrade contains the following set of conflicting vibs cisco bootbank cisco vem’

Capture

Below is the process i followed to rectify this

SSH to the VMware ESXi host

vem status

1

vem stop

2

verify the vem pid has correctly stopped

lsof | grep cisco

lsof grep cisco

if process is still running use the kill-9 switch against the PID

identify the VEM name

esxcli software vib list | grep cisco

3

Put host into maintenance mode

esxcli software remove cisco-vem-v173-esx

4

Now the upgrade should complete as planned

Caveat: information presented in this how to guide is as is,  myself or my employer hold no responsibility to the guaranteed success of this guide